function _instanceof(left, right) {
    "@swc/helpers - instanceof";
    if (right != null && typeof Symbol !== "undefined" && right[Symbol.hasInstance]) {
        return !!right[Symbol.hasInstance](left);
    } else {
        return left instanceof right;
    }
}
/**
    @module mouseEnter
    On mouseenter event for all shapes in a Viz.
    @private
*/ export default function(d, i) {
    var _this = this;
    if (this._shapeConfig.hoverOpacity !== 1) {
        var filterIds = this._id(d, i);
        if (!_instanceof(filterIds, Array)) filterIds = [
            filterIds
        ];
        this.hover(function(h, x) {
            var id = _this._id(h, x);
            if (!_instanceof(id, Array)) id = [
                id
            ];
            return filterIds.some(function(f) {
                return id.includes(f);
            });
        });
    }
}
